Package be.ehealth.technicalconnector.ws.domain

# Class GenericRequest

java.lang.Object
be.ehealth.technicalconnector.ws.domain.GenericRequest

public final class GenericRequest extends Object
This class contains the generic domain object for manipulating generic requests;

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenericRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GenericRequest`
  `addDataHandler(String id, byte[] byteArray)`
  Wrapping a byte[] in a `ByteArrayDatasource` as `DataHandler`
  `GenericRequest`
  `addDataHandler(String id, jakarta.activation.DataHandler dataHandler)`
  `GenericRequest`
  `addDefaulHandlerChain()`
  This method will sets the DefaultHandlerChain before and after the security layer as specified in the configuration.
  `GenericRequest`
  `addHandlerChain(HandlerChain handlers)`
  This method will append all the handlers in the `HandlerChain`
  `Map<String,jakarta.activation.DataHandler>`
  `getDataHandlerMap()`
  `jakarta.xml.ws.handler.Handler<? extends jakarta.xml.ws.handler.MessageContext>[]`
  `getHandlerchain()`
  Obtaining the current handler chain
  `Document`
  `getPayload()`
  `Map<String,Object>`
  `getRequestMap()`
  `boolean`
  `isXopEnabled()`
  `GenericRequest`
  `setCertificateSecured(X509Certificate certificate, PrivateKey privateKey)`
  `GenericRequest`
  `setCredential(Credential cred, TokenType sec)`
  This method will set the security handler based on the credential
  `GenericRequest`
  `setCredentialFromSession(TokenType sec)`
  This method will use the session to detirming the credential to use.
  `GenericRequest`
  `setEndpoint(String endpoint)`
  `GenericRequest`
  `setPayload(Object payload)`
  Setting the payload with a classes annotated with `XmlRootElement` are allowed.
  `GenericRequest`
  `setPayload(Object payload, GenericFeature... features)`
  `GenericRequest`
  `setPayload(String payload)`
  The payload to set as String value Note: only well-formed xml document are allowed.
  `GenericRequest`
  `setPayload(Document payload)`
  `GenericRequest`
  `setPayload(Document payload, GenericFeature... features)`
  `GenericRequest`
  `setSamlSecured(Element assertion, Credential hok)`
  This method will uses the assertion and the credential for setting the SAML security
  `GenericRequest`
  `setSoapAction(String soapAction)`
  `GenericRequest`
  `setSoapAction(String soapAction, boolean wsiCompliant)`
  `GenericRequest`
  `setWSAddressing(WsAddressingHeader header)`
  This method will set the WSAddressing header as specified in the V200508 specification

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenericRequest

    public GenericRequest()

- ## Method Details

  - ### setEndpoint

    public GenericRequest setEndpoint(String endpoint)
    Parameters:
      `endpoint` - the endpoint to set

  - ### setPayload

    public GenericRequest setPayload(Document payload)
    Parameters:
      `payload` - the payload to set as `Document`

  - ### setPayload

    public GenericRequest setPayload(Document payload, GenericFeature... features)

  - ### getPayload

    public Document getPayload()
    Returns:
      the payload

  - ### getDataHandlerMap

    public Map<String,jakarta.activation.DataHandler> getDataHandlerMap()
    Returns:
      the handlers

  - ### setPayload

    public GenericRequest setPayload(String payload) throws TechnicalConnectorException
    The payload to set as String value Note: only well-formed xml document are allowed.
    Throws:
      `TechnicalConnectorException`

  - ### setPayload

    public GenericRequest setPayload(Object payload)
    Setting the payload with a classes annotated with `XmlRootElement` are allowed. Note:XML-binary Optimized Packaging (XOP) is disabled.

  - ### setPayload

    public GenericRequest setPayload(Object payload, GenericFeature... features)

  - ### setSoapAction

    public GenericRequest setSoapAction(String soapAction)
    Parameters:
      `soapAction` - the soapAction to set

  - ### setSoapAction

    public GenericRequest setSoapAction(String soapAction, boolean wsiCompliant)

  - ### getRequestMap

    public Map<String,Object> getRequestMap()
    Returns:
      the requestMap

  - ### setWSAddressing

    public GenericRequest setWSAddressing(WsAddressingHeader header) throws TechnicalConnectorException
    This method will set the WSAddressing header as specified in the V200508 specification
    Parameters:
      `header` -
    Throws:
      `TechnicalConnectorException`

  - ### setCertificateSecured

    public GenericRequest setCertificateSecured(X509Certificate certificate, PrivateKey privateKey) throws TechnicalConnectorException
    Parameters:
      `certificate` -
      `privateKey` -
    Throws:
      `TechnicalConnectorException`

  - ### setSamlSecured

    public GenericRequest setSamlSecured(Element assertion, Credential hok) throws TechnicalConnectorException
    This method will uses the assertion and the credential for setting the SAML security
    Parameters:
      `assertion` -
      `hok` -
    Throws:
      `TechnicalConnectorException`

  - ### setCredential

    public GenericRequest setCredential(Credential cred, TokenType sec) throws TechnicalConnectorException
    This method will set the security handler based on the credential
    Parameters:
      `cred` -
    Throws:
      `TechnicalConnectorException`

  - ### setCredentialFromSession

    public GenericRequest setCredentialFromSession(TokenType sec) throws TechnicalConnectorException
    This method will use the session to detirming the credential to use.
    Parameters:
      `sec` -
    Throws:
      `TechnicalConnectorException`

  - ### addDefaulHandlerChain

    public GenericRequest addDefaulHandlerChain() throws TechnicalConnectorException
    This method will sets the DefaultHandlerChain before and after the security layer as specified in the configuration.
    Throws:
      `TechnicalConnectorException`

  - ### addHandlerChain

    public GenericRequest addHandlerChain(HandlerChain handlers)
    This method will append all the handlers in the `HandlerChain`
    Parameters:
      `handlers` -
    Returns:

  - ### getHandlerchain

    public jakarta.xml.ws.handler.Handler<? extends jakarta.xml.ws.handler.MessageContext>[] getHandlerchain()
    Obtaining the current handler chain

  - ### addDataHandler

    public GenericRequest addDataHandler(String id, jakarta.activation.DataHandler dataHandler)

  - ### isXopEnabled

    public boolean isXopEnabled()

  - ### addDataHandler

    public GenericRequest addDataHandler(String id, byte[] byteArray)
    Wrapping a byte[] in a `ByteArrayDatasource` as `DataHandler`